opensaml::saml2p::SAML2MessageDecoder Class Reference

Base class for SAML 2.0 MessageDecoders. More...

`#include <saml/saml2/binding/SAML2MessageDecoder.h>`

Inheritance diagram for opensaml::saml2p::SAML2MessageDecoder:
[legend]
Collaboration diagram for opensaml::saml2p::SAML2MessageDecoder:
[legend]

## Public Member Functions

const XMLCh * | getProtocolFamily () const
| Returns identifier for the protocol family associated with the decoder.
void | extractMessageDetails (const xmltooling::XMLObject &message, const xmltooling::GenericRequest &genericRequest, const XMLCh *protocol, SecurityPolicy &policy) const
| Extracts policy-relevant message details.
Public Member Functions inherited from opensaml::MessageDecoder
virtual bool | isUserAgentPresent () const
| Indicates whether a web browser or similar user agent delivered the message.
void | setArtifactResolver (const ArtifactResolver *artifactResolver)
| Provides an ArtifactResolver implementation for the MessageDecoder to use.
virtual xmltooling::XMLObject * | decode (std::string &relayState, const xmltooling::GenericRequest &genericRequest, SecurityPolicy &policy) const
| @Deprecated
virtual xmltooling::XMLObject * | decode (std::string &relayState, const xmltooling::GenericRequest &genericRequest, xmltooling::GenericResponse *genericResponse, SecurityPolicy &policy) const
| Decodes a transport request into a SAML protocol message, and evaluates it against a supplied SecurityPolicy.

## Protected Member Functions

void | extractCorrelationID (const xmltooling::HTTPRequest &request, xmltooling::HTTPResponse *response, const std::string &relayState, SecurityPolicy &policy) const
| If relay state is provided, the previous request ID is extracted from a correlation cookie and supplied to the policy.

## Additional Inherited Members

Protected Attributes inherited from opensaml::MessageDecoder
const ArtifactResolver * | m_artifactResolver
| Pointer to an ArtifactResolver implementation.

## Detailed Description

Base class for SAML 2.0 MessageDecoders.

## Member Function Documentation

## extractCorrelationID()

void opensaml::saml2p::SAML2MessageDecoder::extractCorrelationID | ( | const xmltooling::HTTPRequest & | request,
|  | xmltooling::HTTPResponse * | response,
|  | const std::string & | relayState,
|  | SecurityPolicy & | policy ) const

protected

If relay state is provided, the previous request ID is extracted from a correlation cookie and supplied to the policy.

Parameters

  request | HTTP request
  response | optional HTTP response
  relayState | the RelayState token
  policy | the SecurityPolicy to attach the ID to

## extractMessageDetails()

void opensaml::saml2p::SAML2MessageDecoder::extractMessageDetails | ( | const xmltooling::XMLObject & | message,
|  | const xmltooling::GenericRequest & | request,
|  | const XMLCh * | protocol,
|  | SecurityPolicy & | policy ) const

virtual

Extracts policy-relevant message details.

Parameters

  message | the incoming message
  request | the protocol request
  protocol | the protocol family in use
  policy | SecurityPolicy to provide various components and track message data

Implements opensaml::MessageDecoder.

## getProtocolFamily()

const XMLCh * opensaml::saml2p::SAML2MessageDecoder::getProtocolFamily | ( |  | ) | const

virtual

Returns identifier for the protocol family associated with the decoder.

Returns
  a protocol family identifier, or nullptr

Reimplemented from opensaml::MessageDecoder.

The documentation for this class was generated from the following file:

- saml/saml2/binding/SAML2MessageDecoder.h